interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/pics/new.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 75225 characters]
        q33iY8q+xsc9LWkVD3LhLngrF/rzg/8fNI3cF6zrBAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['50477']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:38:02 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drj5od2.2.1505363882405.Z0FBQUFBQlp1Z2VxRGlla0tnX0tfT1YzbEl1OHZVVnNRTkRBZ2NpMTByaXFjRml6STQyWkI2X2ZiRWF0d0Q3aWRNUnhKUkFoQVFnejJGcW9nUTVwNGEteE5ybTdUT3hxOFJ3WkktSDBZUy0yMVhVb2M5ZEQxNmtxR2lTbkxsdFN4UTc0V1JXNWJHWXg;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:38:02
          GMT; secure', 'session_tracker=9sj8Sa4HkCOrWAdQnZ.0.1505363882395.Z0FBQUFBQlp1Z2VxckdCTTRzc2h4WEFhN0g3bUZ2cGVTMmlndEFHNVBqTzJjd0RBcnlsWEtvYUVJZmM5X0tCQkFUQ3BxOXB2QVpXalY2c2NMbXhBUDYxa1VNLV9TdmM2dVkxajdERGg5OUItYXRqWk5xS0ZsZ2M2b1Q0X250R3l0bmJXQllmdWpqbWk;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:38:02
          GMT; secure', edgebucket=5AKCZGiKwapgIG7GGP; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1727-ORD]
      X-Timer: ['S1505363882.377489,VS0,VE538']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drj5od2.2.1505363882405.Z0FBQUFBQlp1Z2VxRGlla0tnX0tfT1YzbEl1OHZVVnNRTkRBZ2NpMTByaXFjRml6STQyWkI2X2ZiRWF0d0Q3aWRNUnhKUkFoQVFnejJGcW9nUTVwNGEteE5ybTdUT3hxOFJ3WkktSDBZUy0yMVhVb2M5ZEQxNmtxR2lTbkxsdFN4UTc0V1JXNWJHWXg;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:38:02
          GMT; secure', 'session_tracker=9sj8Sa4HkCOrWAdQnZ.0.1505363882395.Z0FBQUFBQlp1Z2VxckdCTTRzc2h4WEFhN0g3bUZ2cGVTMmlndEFHNVBqTzJjd0RBcnlsWEtvYUVJZmM5X0tCQkFUQ3BxOXB2QVpXalY2c2NMbXhBUDYxa1VNLV9TdmM2dVkxajdERGg5OUItYXRqWk5xS0ZsZ2M2b1Q0X250R3l0bmJXQllmdWpqbWk;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:38:02
          GMT; secure', edgebucket=5AKCZGiKwapgIG7GGP; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=0nHmP6kFqEzVp0tVAifg0hxL3z%2Fw8GChao0mHKVarxFNCxJYq%2Bv79g1O7s0B5SDmaR1G1pF2RbE%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
